Bug 11392 - illegal requirement on fonts-ttf-ms
: illegal requirement on fonts-ttf-ms
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perl-Cairo)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-06 17:28 by
Modified: 2009-05-12 11:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-06 17:28:22
В BuildRequires присутствует пакет fonts-ttf-ms
------- Comment #1 From 2007-04-07 21:57:08 -------
buildreq не ошибается.
------- Comment #2 From 2007-04-09 14:44:51 -------
Я повесил на пакет, а не на buildreq.
В пакете ошибка.
------- Comment #3 From 2007-04-10 04:30:09 -------
Я не понял, в чем именно в пакете ошибка.  Иди нахер.
------- Comment #4 From 2007-04-10 12:13:43 -------
В том, что пакет fonts-ttf-ms не попадет ни в один дистрибутив, дубина.
------- Comment #5 From 2007-04-10 12:44:20 -------
А почему бы об этом не написать в Description ??? Зачем вешать такие кривые
баги?
------- Comment #6 From 2007-04-10 13:22:52 -------
На пакет fonts-ttf-ms не должно быть никаких зависимостей, потому что этот
пакет, скорее всего, не имеет права на присутствие в репозитории.
------- Comment #7 From 2007-04-10 13:30:02 -------
(In reply to comment #5)
> Зачем вешать такие кривые баги?
IMHO любому разработчику должно быть известно об этом пакете, не говоря уже о 
Леше. Он не первый день его видит.
Да и в devel@ я писал
------- Comment #8 From 2007-04-10 16:20:06 -------
Значит, надо удалить пакет fonts-ttf-ms из репозитария.  Тогда будет совершенно
формальный повод исправить пакет perl-Cairo и другие пакеты, т.к. они просто
перестанут собираться.

Я считаю нетехнологичным править результат buildreq вручную.
------- Comment #9 From 2007-04-10 16:31:13 -------
(In reply to comment #8)
> Значит, надо удалить пакет fonts-ttf-ms из репозитария
Да, самый верный способ.

> Я считаю нетехнологичным править результат buildreq вручную.
Это уже отдельная тема.
------- Comment #10 From 2007-04-11 01:41:27 -------
(In reply to comment #9)
> (In reply to comment #8)
> > Значит, надо удалить пакет fonts-ttf-ms из репозитария
> Да, самый верный способ.
И самый необдуманный.

> > Я считаю нетехнологичным править результат buildreq вручную.
> Это уже отдельная тема.
В которой утопизм также неуместен.
------- Comment #11 From 2007-04-11 14:24:54 -------
(In reply to comment #10)
> > > Значит, надо удалить пакет fonts-ttf-ms из репозитария
> > Да, самый верный способ.
> И самый необдуманный.
Згачит, нужно удалить из пакета шрифты.
------- Comment #12 From 2007-04-12 20:20:13 -------
А не проще ли отучить buildreq ставить зависимости на этот конкретный пакет?
/etc/buildreqs/packages/ignore.d уже отменили?
------- Comment #13 From 2007-04-12 20:43:03 -------
(In reply to comment #12)
> А не проще ли отучить buildreq ставить зависимости на этот конкретный пакет?
> /etc/buildreqs/packages/ignore.d уже отменили?
Не проще. Некоторые их рукам ставят. 

------- Comment #14 From 2007-04-12 22:14:00 -------
А вот если они их руками ставят, это их личные проблемы и это ошибка упаковки.

Давай ещё вынесем все kernel-* из репо, из-за того что установка на них вручную
requires их userspace пакетов сносит крышу apt'у?
------- Comment #15 From 2007-10-28 19:34:05 -------
Никак fixed:

$ rpm -qRp ALTLinux/Sisyphus/files/i586/RPMS/perl-Cairo-1.023-alt1.i586.rpm |
grep font
$

buildreq, разумеется, тоже может ошибаться.
------- Comment #16 From 2007-10-30 14:57:47 -------
rpm -qp --requires Sisyphus/files/SRPMS/perl-Cairo-1.023-alt1.src.rpm
------- Comment #17 From 2009-05-10 05:32:29 -------
huixed
------- Comment #18 From 2009-05-12 11:50:02 -------
kruto!